%global _hardened_build 1

Name:              cego
Version:           2.20.9
Release:           1%{?dist}
Summary:           A relational and transactional database
License:           GPLv3+
URL:               http://www.lemke-it.com/litexec?request=pubcego&user=&lang=en
Source0:           http://www.lemke-it.com/%{name}-%{version}.tar.gz
Source1:           %{name}.service
Source2:           %{name}.sysconfig
BuildRequires:     chrpath
BuildRequires:     lfcbase-devel
BuildRequires:     lfcxml-devel
BuildRequires:     libtool
BuildRequires:     ncurses-devel
BuildRequires:     readline-devel
BuildRequires:     systemd
Requires(pre):     shadow-utils
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd

%description
An open source implementation of a relational and transnational database 
system using an object oriented software design. It supports SQL query
requests using all common programming interfaces (C, C++, DBD, Java). 
The system architecture is multi-threaded based on POSIX threads and is 
designed for high end performance and availability.

%package           devel
Summary:           Development files for %{name}
Requires:          %{name}%{?_isa} = %{version}-%{release}
Requires:          lfcbase-devel%{?_isa}
Requires:          lfcxml-devel%{?_isa}

%description       devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -fiv
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%configure --disable-static
sed -i -e 's/ -shared / -Wl,--as-needed\0/g' libtool
make %{?_smp_mflags}

%install
pushd src
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -delete -print
popd

#rpath fix.
for _rpbin in %{buildroot}%{_bindir}/*
do
  chrpath --delete "${_rpbin}"
done

install -pDm644 %{S:1} %{buildroot}%{_unitdir}/%{name}.service
install -pDm644 %{S:2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%check
./checkDB base && ./checkDB gate

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_localstatedir}/lib/%{name} -s /sbin/nologin \
    -c "Cego Database Server" %{name}
exit 0

%post
/sbin/ldconfig
%systemd_post %{S:1}

%preun
%systemd_preun %{S:1}

%postun
/sbin/ldconfig
%systemd_postun_with_restart %{S:1}

%files
%doc COPYING README TODO
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so

%changelog
* Wed Apr 16 2014 Christopher Meng <rpm@cicku.me> - 2.20.9-1
- Update to 2.20.9

* Tue Feb 25 2014 Christopher Meng <rpm@cicku.me> - 2.20.6-1
- Update to 2.20.6

* Mon Jan 27 2014 Christopher Meng <rpm@cicku.me> - 2.20.1-1
- Update to 2.20.1(bTree test fix)

* Tue Jan 21 2014 Christopher Meng <rpm@cicku.me> - 2.20.0-1
- Update to 2.20.0

* Fri Dec 06 2013 Christopher Meng <rpm@cicku.me> - 2.19.13-1
- Update to 2.19.13

* Mon Nov 04 2013 Christopher Meng <rpm@cicku.me> - 2.19.11-1
- Update to 2.19.11

* Thu Sep 05 2013 Christopher Meng <rpm@cicku.me> - 2.19.6-1
- Update to 2.19.6

* Thu Aug 15 2013 Christopher Meng <rpm@cicku.me> - 2.19.4-1
- Update to 2.19.4

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 2.19.0-1
- Update to 2.19.0

* Fri Jul 12 2013 Christopher Meng <rpm@cicku.me> - 2.18.10-1
- Update to 2.18.10

* Sun Jun 23 2013 Christopher Meng <rpm@cicku.me> - 2.18.9-1
- Update to 2.18.9

* Sat Jun 08 2013 Christopher Meng <rpm@cicku.me> - 2.18.8-1
- Update to 2.18.8 with correct FSF address.

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 2.18.7-1
- Update to 2.18.7

* Thu May 23 2013 Christopher Meng <rpm@cicku.me> - 2.18.6-1
- Update to 2.18.6
- Fix the checkDB issue.

* Wed May 22 2013 Christopher Meng <rpm@cicku.me> - 2.18.5-1
- Update to 2.18.5

* Mon May 20 2013 Christopher Meng <rpm@cicku.me> - 2.18.4-1
- Update to 2.18.4

* Sat May 18 2013 Christopher Meng <rpm@cicku.me> - 2.18.3-1
- Update to 2.18.3

* Fri May 17 2013 Christopher Meng <rpm@cicku.me> - 2.18.2-1
- Update to 2.18.2

* Wed May 15 2013 Christopher Meng <rpm@cicku.me> - 2.18.1-1
- Update to 2.18.1

* Wed May 08 2013 Christopher Meng <rpm@cicku.me> - 2.18.0-1
- Update to 2.18.0

* Wed May 08 2013 Christopher Meng <rpm@cicku.me> - 2.17.12-1
- Update to 2.17.12

* Wed May 08 2013 Christopher Meng <rpm@cicku.me> - 2.17.11-1
- Update to 2.17.11 including fixes for Fedora.

* Mon May 06 2013 Christopher Meng <rpm@cicku.me> - 2.17.10-1
- Initial Package.
